#!/bin/sh
#
# Description: Alternate file browse viewer script for Emacs
#
# This script is a sample Emacs editor script which will be invoked during
# browse operations IF the environment parameter RAZOR_EDITOR is defined
# to point to this file.  It makes use of gnuserv clients to bring up a
# separate Emacs window as opposed to another Emacs process.
#
# The best way to use this is to copy it to your home directory, make any
# local customizations needed, and then set the  environment parameter 
# RAZOR_EDITOR to point to the modified file in your home directory.  
# Don't forget to  .profile, or .... wherever you normally
# initialize your environment.
#
# Usage (as invoked by versions):  
#       $RAZOR_EDITOR <fullpath to file> <simple name of file>
#
# NOTE: You may need to change the call from "xemacs" to "emacs" 
#	depending on what is installed on your machine.
#
##############################################################################

#
# Check to see if gnuserv client is running
#
if gnuclient -batch -eval t >/dev/null 2>&1
then
  exec gnuclient ${1}
else
  #
  # Start the gnuclient, waiting until it
  # actually comes up
  #
  xemacs -unmapped -f gnuserv-start &
  until gnuclient -batch -eval t >/dev/null 2>&1
  do
     sleep 1
  done
  exec gnuclient ${1}
fi
