#-----------------------------------------------------------------------------
# 
#              Copyright 2002 Visible Systems Corporation
#
#                             All Rights Reserved
#
#
# This script, and all others related to the Razor tool suite, are the
# property of Visible Systems Corporation and may be copied/modified to 
# meet your site specific needs.
#
#
# Use of this product implies acceptance of the following:
# 
# THE PRODUCTS SUPPLIED HEREUNDER ARE FURNISHED "AS IS".  VISIBLE SYSTEMS 
# CORPORATION DISCLAIMS WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF FITNESS.  
# IN NO EVENT WILL VISIBLE SYSTEMS CORPORATION BE LIABLE FOR DAMAGES TO 
# PROPERTY OR ANY DAMAGES RESULTING FROM LOSS OF DATA, PROFITS OR USE OF 
# PRODUCTS, OR FOR ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.  THIS LIMITATION OF VISIBLE SYSTEMS 
# CORPORATION LIABILITY WILL APPLY REGARDLESS OF THE FORM OF ACTION, WHETHER 
# IN CONTRACT OR TORT INCLUDING NEGLIGENCE.  THE RECIPIENT AGREES TO HOLD 
# VISIBLE SYSTEMS CORPORATION HARMLESS AGAINST ANY CLAIMS INCLUDING COURT 
# COSTS AND LEGAL EXPENSES RELATING TO THE PRODUCTS FURNISHED BY VISIBLE 
# SYSTEMS CORPORATION.
# 
#-----------------------------------------------------------------------------
#
#
# Notes...
#
#
# local_version = @(#) 1.18 02/05/02 10:31:28 rz_issue_summarize.awk
#
#
# Usage: nawk -f  rz_issue_summarize.awk <file> <issue name> <version> [ <textpane1 label> <textpane2 label> ]
#
#
##############################################################################

BEGIN {
	FS = "[\t]+";
	issue = ARGV[2];
	ARGV[2] = "";
	
	version = ARGV[3];
	ARGV[3] = "";
	
        textpane1label = ARGV[4]
        ARGV[4] = "";
        textpane2label = ARGV[5]
        ARGV[5] = "";

	printf("Issue:\t\t%s\n", issue);	
	printf("Version:\t%s\n", version);
	}


/^LAST_MODIFIED/ {
	printf("Last changed:\t%s\n\n", $3);
	next;
	}

/^STATE/ {
	if (!state_found)
		{
		state_found = 1;
		printf("\n\n\t\t\tPROMOTION STATUS\n\n");		
		}
	split($NF, a, " ");
	printf("Promoted to: %-12.12s\tOn: %-18.18s\tBy: %s\n", $2, a[1], a[2]);
	next;
	}
	
/^ATTRIBUTE/ {
	if (!attr_found)
		{
		attr_found = 1;
		printf("\n\n\t\t\tCURRENT ATTRIBUTES\n\n");
		}
	
	gsub(/,/, "", $NF);
	
	printf("%-20.20s:\t%s\n", $2, $NF);
	next;
	}

/PROBLEM!/ {
	if (index($1, "#=#=#=#") != 1) 
		{
		if (text_start) print;
		next;
		}

        if (textpane1label != "")
        {
	  printf("\n\n\t\t\t%s\n", textpane1label);
        }
        else
        {
          printf("\n\n\t\t\tSTATEMENT OF PROBLEM\n");
        }
	text_start = 1;
	printf("\n\n");
	next;
	}

/SOLUTION/ {
	if (index($1, "#=#=#=#") != 1) 
		{
		if (text_start) print;
		next;
		}
        if (textpane2label != "")
        {
	  printf("\n\n\t\t\t%s\n", textpane2label);
        }
        else
        {
          printf("\n\n\t\t\tSTATEMENT OF SOLUTION\n");
        }
	text_start = 1;
	printf("\n\n");
	next;
	}

	{
	if (text_start) print;
	next;
	}
	
	
END { }
